{ pkgs, ... }: {
  imports = [
    ./fish.nix
    ./neofetch.nix
    ./secrets.nix
    ./scripts.nix
    ./starship.nix
    ./zellij.nix
  ];

  programs.zoxide = {
    enable = true;
    enableFishIntegration = true;
  };

  programs.fzf = {
    enable = true;
    enableFishIntegration = true;
    defaultOptions = [ "--preview='bat --color=always --style=numbers {}'" ];
  };

  programs.neovim = {
    enable = true;
    defaultEditor = true;
    viAlias = true;
    vimAlias = true;
    vimdiffAlias = true;
    withNodeJs = true;
    withPython3 = true;
  };

  programs.bat = { enable = true; };

  programs.eza = {
    enableFishIntegration = true;
    enableBashIntegration = true;
    git = true;
    icons = true;
  };

  home.packages = with pkgs; [
    alejandra
    bc
    comma
    coreutils
    devenv
    direnv
    eza
    fd
    htop
    httpie
    jq
    just
    lf
    nix-index
    open-interpreter
    procs
    progress
    ripgrep
    tldr
    trash-cli
    tree
    unzip
    wttrbar
    zip
  ];
}
