{ lib, stdenv, fetchFromGitea, fish, fd, fzf, pkgs, zellij, }:
with lib;
with pkgs;
stdenv.mkDerivation rec {
  pname = "zellij-ps";
  version = "0.1.0";

  src = fetchFromGitea {
    domain = "code.m3tam3re.com";
    owner = "m3tam3re";
    repo = "helper-scripts";
    rev = "25cd4f662c2a7d1a5091ad30810c458627fdba5a";
    sha256 = "0lw1qmn18i1s21ljmsdy2x034x19gad8krml9iggksn3c31haz9m";
  };

  buildInputs = [ fish fd fzf zellij ];

  nativeBuildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out/bin
    cp zellij-ps.fish $out/bin/zellij-ps
    wrapProgram $out/bin/zellij-ps \
      --prefix PATH : ${lib.makeBinPath [ fish fd fzf zellij ]}
  '';

  meta = with lib; {
    description = "A small project script for zellij";
    homepage = "https://code.m3tam3re.com/m3tam3re/helper-scripts";
    license = licenses.mit;
    maintainers = with maintainers; [ m3tam3re ];
    platforms = platforms.unix;
  };
}
